using Microsoft.Azure.Cosmos.Table;
using System.ComponentModel.DataAnnotations;
using TEAMModelOS.SDK.Context.Attributes.Azure;

namespace TEAMModelOS.SDK.Models
{
    [TableName(Name = "SyllabusKnowledgeBlock")]
    //
    public class KnowledgeBlock : TableEntity
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string Name { get; set; }
        
        /// <summary>
        /// 上级ID
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string Pid { get; set; } = "root";
        /// <summary>
        /// 学科
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string SubjectCode { get; set; }
        /// <summary>
        /// 建议学段
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string AdvicePeriodCode { get; set; }
        [Required(ErrorMessage = "{0} 必须填写")]
        public int Order { get; set; }

    }
}
